Subject: bug#33183: perl-mode: indent-region injects spaces after newlines causing data loss

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Dec 2020 18:33:09 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

> In perl-mode
>
> %fields = (
>     u =>
>     'test
> ing' . q{test
> 2} .
>     qq/last
> test/ );
>
> becomes
>
> %fields = (
>     u =>
>     'test
>     ing' . q{test
>     2} .
>     qq/last
>     test/ );
>
> after running indent-region, on the region. However

I can reproduce this in Emacs 26, but not in Emacs 28, so I guess this
has been fixed in the years since this was reported, and I'm closing
this bug report.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no